# Interface methods for submodule: SiemensVisionImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import IPLCommonImageIOProxy as _IPLCommonImageIOProxy


# Interface methods for class: SiemensVisionImageIO
class SiemensVisionImageIOProxy(_IPLCommonImageIOProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, FileNameToRead) -> bool:
		""""""
		...

